rotp(1)

NAME

rotp - Ruby library for generating and verifying one time passwords

SYNOPSIS
rotp [options]

DESCRIPTION

A Ruby library for generating and verifying one time passwords. It works for both HOTP and TOTP, and includes QR Code provisioning

OPTIONS

-s, --secret [SECRET]
    The shared secret

-c, --counter [COUNTER]
    The counter for counter-based hmac OTP

-t, --time
    Use time-based OTP according to RFC 6238 (default)

-m, --hmac
    Use counter-based OTP according to RFC 4226

-h, --help
    Show help

Examples

rotp --secret p4ssword # Generates a time-based one-time password

rotp --hmac --secret p4ssword --counter 42 # Generates a counter-based one-time password

SEE ALSO

/usr/share/doc/ruby-rotp/index.html